Download it now!
Bug 107485 - Font name toolbar control shouldnt display non-english alternative name in english locale
Summary: Font name toolbar control shouldnt display non-english alternative name in en...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.4.0.0.alpha0+
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: CJK Toolbars
  Show dependency treegraph
 
Reported: 2017-04-27 14:14 UTC by Yousuf Philips (jay) (retired)
Modified: 2020-05-01 03:42 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2017-04-27 14:14:54 UTC
Steps:
1) Install MS Gothic and MS Mincho fonts if not already installed
2) Open attachment 132877 [details]
3) Notice that in the font name drop down the name isnt fully english

Version: 5.4.0.0.alpha0+
Build ID: f0340e3dca1091accdb71e0c566b96cdf9e0f791
CPU threads: 2; OS: Linux 4.4; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-04-21_13:34:48
Locale: en-US (en_US.UTF-8); Calc: group

Screenshot - attachment 132879 [details]

Khaled's comment (bug 107462 comment 3): Not displaying the English name if the font do not have a localized name for the current locale is an independent issue and should be reported separately.
Comment 1 Yousuf Philips (jay) (retired) 2017-04-28 11:42:06 UTC
I asked Khaled ( bug 107462 comment 4 )

"But i'm a bit confused why it should show a localized name at all, as when you open up the font name drop down, it always shows the english name in the left column and i would assume the user cant type the localized name of the font in the drop down to locate it."

and he replied ( bug 107462 comment 5 )

"Since you are on Linux, that is the only platform where we try to read all localized font names and set them internally as alternate names (so that specifying the font by its localized name works), but probably this code is too naïve and things got mixed up.".
Comment 2 Buovjaga 2017-04-29 18:49:34 UTC
Is step 1 necessary? I see the non-English names even when they are not installed.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.4.0.0.alpha0+
Build ID: 9348b322a5c230dfcc2231661b73e480b130fcd9
CPU threads: 8; OS: Linux 4.10; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on April 28th 2016
Comment 3 Yousuf Philips (jay) (retired) 2017-04-29 19:18:01 UTC
(In reply to Buovjaga from comment #2)
> Is step 1 necessary?

Nope its not necessary. :D
Comment 4 QA Administrators 2018-05-01 02:31:55 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2020-05-01 03:42:24 UTC
Dear Yousuf Philips (jay) (retired),

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug